查詢參數
要傳回的模型最大數量。預設值:
50,最大值:1000。身份驗證
選填。支援與其他 Gemini 端點相同的身份驗證方法:?key=YOUR_API_KEY查詢參數x-goog-api-key: YOUR_API_KEY標頭Authorization: Bearer YOUR_API_KEY標頭
回應
模型物件陣列。
curl "https://api.lemondata.cc/v1beta/models?pageSize=5" \
-H "x-goog-api-key: sk-your-api-key"
{
"models": [
{
"name": "models/gemini-2.5-pro",
"version": "1.0",
"displayName": "gemini-2.5-pro",
"description": "gemini-2.5-pro model available via LemonData",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent", "countTokens"],
"temperature": 1.0,
"topP": 0.95,
"topK": 40,
"maxTemperature": 2.0
},
{
"name": "models/gemini-2.5-flash",
"version": "1.0",
"displayName": "gemini-2.5-flash",
"description": "gemini-2.5-flash model available via LemonData",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent", "countTokens"],
"temperature": 1.0,
"topP": 0.95,
"topK": 40,
"maxTemperature": 2.0
}
]
}
使用 Google Gemini API 格式列出可用模型
50,最大值:1000。?key=YOUR_API_KEY 查詢參數x-goog-api-key: YOUR_API_KEY 標頭Authorization: Bearer YOUR_API_KEY 標頭curl "https://api.lemondata.cc/v1beta/models?pageSize=5" \
-H "x-goog-api-key: sk-your-api-key"
{
"models": [
{
"name": "models/gemini-2.5-pro",
"version": "1.0",
"displayName": "gemini-2.5-pro",
"description": "gemini-2.5-pro model available via LemonData",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent", "countTokens"],
"temperature": 1.0,
"topP": 0.95,
"topK": 40,
"maxTemperature": 2.0
},
{
"name": "models/gemini-2.5-flash",
"version": "1.0",
"displayName": "gemini-2.5-flash",
"description": "gemini-2.5-flash model available via LemonData",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent", "countTokens"],
"temperature": 1.0,
"topP": 0.95,
"topK": 40,
"maxTemperature": 2.0
}
]
}